Subject: bug#36733: 27.0.50; Eshell taking long time to enter directory after TAB completion

From: Jean Louis <[email-masked]>
Date: Sat, 20 Jul 2019 17:28:55 +0200

* Eli Zaretskii <[email-masked]> [2019-07-20 12:55]:
> > Date: Sat, 20 Jul 2019 12:31:02 +0200
> > From: Jean Louis <[email-masked]>
> > Cc: [email-masked]
> > 
> > Here it is:
> > 
> > - completion-in-region--postch                                    357  86%
> >  - #<compiled 0xb94c41>                                           357  86%
> >   - pcomplete-completions-at-point                                357  86%
> >    - pcomplete-completions                                        357  86%
> >     - #<compiled 0xade071>                                        357  86%
> >      - pcomplete--here                                            357  86%
> >       - #<compiled 0xade05d>                                      357  86%
> >        - eshell-complete-commands-list                            156  37%
> 
> Hmm... something related to completion, it seems.
> 
> Do you see the problem when the directory into which you cd is
> completely empty?

Yes, my directory ~/Desktop is completely
empty. It happens only when I do:

$ cd Desk TAB

then comes expansion and I see:

$ cd Desktop/X

whereby the cursor is still at X position and
waiting first time like 3-6 seconds.

Second time there is also lag, but shorter, like 1
second or 0.4 seconds something. Then if repeated
again little later, it can again be with longer
lag.

I wonder how you do not have see it, as I am starting
it with emacs -Q

Jean